<?php
class wfs_contact_widget extends WP_Widget {

	/**
	 * Register widget with WordPress.
	 */
	function __construct() 
	{
		parent::__construct(
			'wfs_contact_widget', // Base ID
			'WFS Contact', // Name
			array( 'description' => 'WFS Contact form to get client feedback.' ) // Args
		);
	}

	/**
	 * Front-end display of widget.
	 *
	 * @see WP_Widget::widget()
	 *
	 * @param array $args     Widget arguments.
	 * @param array $instance Saved values from database.
	 */
	public function widget( $args, $instance ) 
	{
		$title = apply_filters( 'widget_title', $instance['title'] );

		echo $args['before_widget'];
		
		if (!empty( $title ))
			echo $args['before_title'] . $title . $args['after_title'];
			
		// see this function at 'contact.php'
		display_wfs_contact(); 
		
		echo $args['after_widget'];
	}

	/**
	 * Back-end widget form.
	 *
	 * @see WP_Widget::form()
	 *
	 * @param array $instance Previously saved values from database.
	 */
	public function form( $instance ) 
	{ 
		$title = isset( $instance[ 'title' ] ) ? $instance[ 'title' ] : ''; 		
		?>
		<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label> 
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
		</p> 
		<?php 
	}

	/**
	 * Sanitize widget form values as they are saved.
	 *
	 * @see WP_Widget::update()
	 *
	 * @param array $new_instance Values just sent to be saved.
	 *
	 * @return array Updated safe values to be saved.
	 */
	public function update( $new_instance ) 
	{
		$instance = array();
		$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : ''; 

		return $instance;
	}
}

?>